/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.settlement.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.financial.settlement.entity.MaintainData;
import com.jeeplus.modules.sg.financial.settlement.mapper.DataMaintenanceMapper;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


@Service
@Transactional(readOnly = true)
public class DataMaintenanceService extends CrudService<DataMaintenanceMapper, MaintainData> {

	@Autowired
	private DataMaintenanceMapper dataMaintenanceMapper;

	public MaintainData get(String id) {
		return super.get(id);
	}
	
	public List<MaintainData> findList(MaintainData maintainData) {
		return super.findList(maintainData);
	}
	
	public Page<MaintainData> findPage(Page<MaintainData> page, MaintainData maintainData) {
		return super.findPage(page, maintainData);
	}
	
	@Transactional(readOnly = false)
	public void save(MaintainData maintainData) {
		super.save(maintainData);
	}

	@Transactional(readOnly = false)
	public void saveList(List<MaintainData> list) {
		for(MaintainData maintainData : list){
			maintainData.preInsert();
		}
		dataMaintenanceMapper.insertList(list);
	}
	
	@Transactional(readOnly = false)
	public void delete(MaintainData maintainData) {
		super.delete(maintainData);
	}


	public void export(MaintainData maintainData , HttpServletResponse response){
		Workbook workbook = null;
        	}
	
}